from zope.testing import doctest
import unittest

from gumby.testing import OPTIONS

FILES = (
    'model.rst',
    'history.rst',
    'brain.rst',
    'movie.rst',
)

def test_suite():
    suite = unittest.TestSuite()
    for filename in FILES:
        suite.addTests(doctest.DocFileSuite(filename, optionflags=OPTIONS))
    return suite

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')

