#! /usr/bin/env python

try:
    from setuptools import setup, find_packages
except ImportError:
    print 'setuptools could not be found: please run "python ez_setup.py"'
    print 'to get the latest version'
    import sys; sys.exit(1)

setup(name='gumby',
      version='0.2.0',
      author='Olivier Grisel, Christophe Combelles',
      author_email='olivier.grisel@ensta.org',
      url='https://lauchpad.net/gumby',
      download_url='http://cheeseshop.python.org/pypi/gumby',
      description='Layered classifier inspired by the neocortex structure',
      long_description="TODO"
,
      license='GNU GPL',
      packages = find_packages('src'),
      package_dir = {'':'src'},
      package_data = {'': ['*.txt']},
      install_requires=[],
      # XXX: scipy is not in the list cause not yet installable with
      # easy_install
      # XXX: same holds for numpy and matplotlib
      zip_safe=False, # make it true by using pkg_resources for the doctests
      classifiers=[
          'Development Status :: 3 - Alpha',
          'Environment :: Console',
          'Intended Audience :: Developers',
          'License :: OSI Approved :: GNU General Public License (GPL)',
          'Operating System :: OS Independent',
          'Programming Language :: Python',
          ],
      )

try:
    import numpy
except ImportError:
    print "You should now install 'numpy' manually from:"
    print " http://numpy.scipy.org/"
    print "or by using the version of your distribution"
try:
    import scipy
except ImportError:
    print "You should now install 'scipy' manually from:"
    print " http://www.scipy.org/"
    print "or by using the version of your distribution"
