import unittest
from zope.testing.doctestunit import DocTestSuite, DocFileSuite
from gumby.testing import OPTIONS
import brain_tests
import layer_tests

def test_suite():
    return unittest.TestSuite((
        brain_tests.test_suite(),
        layer_tests.test_suite(),
        DocTestSuite('gumby.model', optionflags=OPTIONS),
        #DocTestSuite('gumby.brain', optionflags=OPTIONS),
    ))

if __name__ == '__main__':
    unittest.main(defaultTest="test_suite")
